DynamicSetClient

class oci.os_management_hub.DynamicSetClient(config, **kwargs)

Use the OS Management Hub API to manage and monitor updates and patches for instances in OCI, your private data center, or 3rd-party clouds. For more information, see [Overview of OS Management Hub](https://docs.oracle.com/iaas/osmh/doc/overview.htm).

Methods

__init__(config, **kwargs) Creates a new service client
change_dynamic_set_compartment(…) Move the specified Dynamic Set to a different compartment
create_dynamic_set(…) Creates a new dynamic set.
delete_dynamic_set(dynamic_set_id, **kwargs) Deletes the specific dynamic set
get_dynamic_set(dynamic_set_id, **kwargs) Gets information about the specified dynamic set.
install_packages_on_dynamic_set(…) Installs specified software packages on all managed instances in the dynamic set.
list_dynamic_sets(**kwargs) Lists dynamic sets that match the specified compartment or dynamic set OCID.
list_managed_instances_in_dynamic_set(…) Retrieves a list of managed instances associated with a specified dynamic set.
preview_managed_instances(…) Preview a dynamic set
reboot_dynamic_set(dynamic_set_id, …) Initiates a reboot of all managed instances within the specified dynamic set.
remove_packages_from_dynamic_set(…) Removes specified software packages from all managed instances in the dynamic set.
update_dynamic_set(dynamic_set_id, …) Updates the specified dynamic set.
update_packages_on_dynamic_set(…) Updates all installed software packages on managed instances in the dynamic set.
__init__(config, **kwargs)

Creates a new service client

Parameters:
  • config (dict) – Configuration keys and values as per SDK and Tool Configuration. The from_file() method can be used to load configuration from a file. Alternatively, a dict can be passed. You can validate_config the dict using validate_config()
  • service_endpoint (str) – (optional) The endpoint of the service to call using this client. For example https://iaas.us-ashburn-1.oraclecloud.com. If this keyword argument is not provided then it will be derived using the region in the config parameter. You should only provide this keyword argument if you have an explicit need to specify a service endpoint.
  • timeout (float or tuple(float, float)) – (optional) The connection and read timeouts for the client. The default values are connection timeout 10 seconds and read timeout 60 seconds. This keyword argument can be provided as a single float, in which case the value provided is used for both the read and connection timeouts, or as a tuple of two floats. If a tuple is provided then the first value is used as the connection timeout and the second value as the read timeout.
  • signer (AbstractBaseSigner) –

    (optional) The signer to use when signing requests made by the service client. The default is to use a Signer based on the values provided in the config parameter.

    One use case for this parameter is for Instance Principals authentication by passing an instance of InstancePrincipalsSecurityTokenSigner as the value for this keyword argument

  • retry_strategy (obj) –

    (optional) A retry strategy to apply to all calls made by this service client (i.e. at the client level). There is no retry strategy applied by default. Retry strategies can also be applied at the operation level by passing a retry_strategy keyword argument as part of calling the operation. Any value provided at the operation level will override whatever is specified at the client level.

    This should be one of the strategies available in the retry module. A convenience DEFAULT_RETRY_STRATEGY is also available. The specifics of the default retry strategy are described here.

  • circuit_breaker_strategy (obj) – (optional) A circuit breaker strategy to apply to all calls made by this service client (i.e. at the client level). This client uses DEFAULT_CIRCUIT_BREAKER_STRATEGY as default if no circuit breaker strategy is provided. The specifics of circuit breaker strategy are described here.
  • circuit_breaker_callback (function) – (optional) Callback function to receive any exceptions triggerred by the circuit breaker.
  • client_level_realm_specific_endpoint_template_enabled (bool) – (optional) A boolean flag to indicate whether or not this client should be created with realm specific endpoint template enabled or disable. By default, this will be set as None.
  • allow_control_chars – (optional) allow_control_chars is a boolean to indicate whether or not this client should allow control characters in the response object. By default, the client will not allow control characters to be in the response object.
  • enable_strict_url_encoding – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this client should enable strict url encoding in path params of a request. By default, the client will not enable strict url encoding
change_dynamic_set_compartment(change_dynamic_set_compartment_details, dynamic_set_id, **kwargs)

Move the specified Dynamic Set to a different compartment

Parameters:
  • change_dynamic_set_compartment_details (oci.os_management_hub.models.ChangeDynamicSetCompartmentDetails) –

    (required) The OCID of the compartment to move the group to.

  • dynamic_set_id (str) –

    (required) The OCID of the dynamic set. This filter returns resources associated with this dynamic set.

  • opc_request_id (str) – (optional) Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
  • if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
  • opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried in case of a timeout or server error without risk of executing that same action again. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations. For example, if a resource has been deleted and purged from the system, then a retry of the original creation request might be rejected.
  • retry_strategy (obj) –

    (optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.

    This should be one of the strategies available in the retry module. This operation uses DEFAULT_RETRY_STRATEGY as default if no retry strategy is provided. The specifics of the default retry strategy are described here.

    To have this operation explicitly not perform any retries, pass an instance of NoneRetryStrategy.

  • allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
  • enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
Returns:

A Response object with data of type None

Return type:

Response

Example:

Click here to see an example of how to use change_dynamic_set_compartment API.

create_dynamic_set(create_dynamic_set_details, **kwargs)

Creates a new dynamic set.

Parameters:
  • create_dynamic_set_details (oci.os_management_hub.models.CreateDynamicSetDetails) – (required) Provides the information used to create the dynamic set.
  • opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried in case of a timeout or server error without risk of executing that same action again. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations. For example, if a resource has been deleted and purged from the system, then a retry of the original creation request might be rejected.
  • opc_request_id (str) – (optional) Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
  • retry_strategy (obj) –

    (optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.

    This should be one of the strategies available in the retry module. This operation uses DEFAULT_RETRY_STRATEGY as default if no retry strategy is provided. The specifics of the default retry strategy are described here.

    To have this operation explicitly not perform any retries, pass an instance of NoneRetryStrategy.

  • allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
  • enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
Returns:

A Response object with data of type DynamicSet

Return type:

Response

Example:

Click here to see an example of how to use create_dynamic_set API.

delete_dynamic_set(dynamic_set_id, **kwargs)

Deletes the specific dynamic set

Parameters:
  • dynamic_set_id (str) –

    (required) The OCID of the dynamic set. This filter returns resources associated with this dynamic set.

  • if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
  • opc_request_id (str) – (optional) Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
  • retry_strategy (obj) –

    (optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.

    This should be one of the strategies available in the retry module. This operation uses DEFAULT_RETRY_STRATEGY as default if no retry strategy is provided. The specifics of the default retry strategy are described here.

    To have this operation explicitly not perform any retries, pass an instance of NoneRetryStrategy.

  • allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
  • enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
Returns:

A Response object with data of type None

Return type:

Response

Example:

Click here to see an example of how to use delete_dynamic_set API.

get_dynamic_set(dynamic_set_id, **kwargs)

Gets information about the specified dynamic set.

Parameters:
  • dynamic_set_id (str) –

    (required) The OCID of the dynamic set. This filter returns resources associated with this dynamic set.

  • opc_request_id (str) – (optional) Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
  • retry_strategy (obj) –

    (optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.

    This should be one of the strategies available in the retry module. This operation uses DEFAULT_RETRY_STRATEGY as default if no retry strategy is provided. The specifics of the default retry strategy are described here.

    To have this operation explicitly not perform any retries, pass an instance of NoneRetryStrategy.

  • allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
  • enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
Returns:

A Response object with data of type DynamicSet

Return type:

Response

Example:

Click here to see an example of how to use get_dynamic_set API.

install_packages_on_dynamic_set(dynamic_set_id, install_packages_on_dynamic_set_details, **kwargs)

Installs specified software packages on all managed instances in the dynamic set.

Parameters:
  • dynamic_set_id (str) –

    (required) The OCID of the dynamic set. This filter returns resources associated with this dynamic set.

  • install_packages_on_dynamic_set_details (oci.os_management_hub.models.InstallPackagesOnDynamicSetDetails) – (required) Details about packages to be installed on a dynamic set.
  • if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
  • opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried in case of a timeout or server error without risk of executing that same action again. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations. For example, if a resource has been deleted and purged from the system, then a retry of the original creation request might be rejected.
  • opc_request_id (str) – (optional) Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
  • retry_strategy (obj) –

    (optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.

    This should be one of the strategies available in the retry module. This operation uses DEFAULT_RETRY_STRATEGY as default if no retry strategy is provided. The specifics of the default retry strategy are described here.

    To have this operation explicitly not perform any retries, pass an instance of NoneRetryStrategy.

  • allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
  • enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
Returns:

A Response object with data of type None

Return type:

Response

Example:

Click here to see an example of how to use install_packages_on_dynamic_set API.

list_dynamic_sets(**kwargs)

Lists dynamic sets that match the specified compartment or dynamic set OCID. Filter the list against a variety of criteria including but not limited to its name, status, architecture, and OS version.

Parameters:
  • compartment_id (str) – (optional) The OCID of the compartment that contains the resources to list. This filter returns only resources contained within the specified compartment.
  • display_name_contains (str) – (optional) A filter to return resources that may partially match the given display name.
  • display_name (str) – (optional) A filter to return resources that match the given user-friendly name.
  • dynamic_set_id (str) –

    (optional) The OCID of the dynamic set. This filter returns resources associated with this dynamic set.

  • limit (int) –

    (optional) For list pagination. The maximum number of results per page, or items to return in a paginated “List” call. For important details about how pagination works, see List Pagination.

    Example: 50

  • page (str) –

    (optional) For list pagination. The value of the opc-next-page response header from the previous “List” call. For important details about how pagination works, see List Pagination.

    Example: 3

  • sort_order (str) –

    (optional) The sort order to use, either ‘ASC’ or ‘DESC’.

    Allowed values are: “ASC”, “DESC”

  • sort_by (str) –

    (optional) The field to sort by. Only one sort order may be provided. Default order for timeCreated is descending. Default order for displayName is ascending.

    Allowed values are: “timeCreated”, “displayName”

  • opc_request_id (str) – (optional) Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
  • retry_strategy (obj) –

    (optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.

    This should be one of the strategies available in the retry module. This operation uses DEFAULT_RETRY_STRATEGY as default if no retry strategy is provided. The specifics of the default retry strategy are described here.

    To have this operation explicitly not perform any retries, pass an instance of NoneRetryStrategy.

  • allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
  • enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
Returns:

A Response object with data of type DynamicSetCollection

Return type:

Response

Example:

Click here to see an example of how to use list_dynamic_sets API.

list_managed_instances_in_dynamic_set(dynamic_set_id, **kwargs)

Retrieves a list of managed instances associated with a specified dynamic set.

Parameters:
  • dynamic_set_id (str) –

    (required) The OCID of the dynamic set. This filter returns resources associated with this dynamic set.

  • compartment_id (str) – (optional) The OCID of the compartment that contains the resources to list. This filter returns only resources contained within the specified compartment.
  • compartment_id_in_subtree (bool) – (optional) Indicates whether to include subcompartments in the returned results. Default is false.
  • display_name_contains (str) – (optional) A filter to return resources that may partially match the given display name.
  • display_name (str) – (optional) A filter to return resources that match the given user-friendly name.
  • limit (int) –

    (optional) For list pagination. The maximum number of results per page, or items to return in a paginated “List” call. For important details about how pagination works, see List Pagination.

    Example: 50

  • page (str) –

    (optional) For list pagination. The value of the opc-next-page response header from the previous “List” call. For important details about how pagination works, see List Pagination.

    Example: 3

  • sort_order (str) –

    (optional) The sort order to use, either ‘ASC’ or ‘DESC’.

    Allowed values are: “ASC”, “DESC”

  • sort_by (str) –

    (optional) The field to sort by. Only one sort order may be provided. Default order for timeCreated is descending. Default order for displayName is ascending.

    Allowed values are: “timeCreated”, “displayName”

  • opc_request_id (str) – (optional) Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
  • retry_strategy (obj) –

    (optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.

    This should be one of the strategies available in the retry module. This operation uses DEFAULT_RETRY_STRATEGY as default if no retry strategy is provided. The specifics of the default retry strategy are described here.

    To have this operation explicitly not perform any retries, pass an instance of NoneRetryStrategy.

  • allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
  • enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
Returns:

A Response object with data of type ManagedInstanceCollection

Return type:

Response

Example:

Click here to see an example of how to use list_managed_instances_in_dynamic_set API.

preview_managed_instances(preview_managed_instances_details, **kwargs)

Preview a dynamic set

Parameters:
  • preview_managed_instances_details (oci.os_management_hub.models.PreviewManagedInstancesDetails) – (required) Provides the information used to Preview the dynamic set.
  • compartment_id (str) – (optional) The OCID of the compartment that contains the resources to list. This filter returns only resources contained within the specified compartment.
  • compartment_id_in_subtree (bool) – (optional) Indicates whether to include subcompartments in the returned results. Default is false.
  • opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried in case of a timeout or server error without risk of executing that same action again. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations. For example, if a resource has been deleted and purged from the system, then a retry of the original creation request might be rejected.
  • if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
  • opc_request_id (str) – (optional) Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
  • limit (int) –

    (optional) For list pagination. The maximum number of results per page, or items to return in a paginated “List” call. For important details about how pagination works, see List Pagination.

    Example: 50

  • page (str) –

    (optional) For list pagination. The value of the opc-next-page response header from the previous “List” call. For important details about how pagination works, see List Pagination.

    Example: 3

  • sort_order (str) –

    (optional) The sort order to use, either ‘ASC’ or ‘DESC’.

    Allowed values are: “ASC”, “DESC”

  • sort_by (str) –

    (optional) The field to sort by. Only one sort order may be provided. Default order for timeCreated is descending. Default order for displayName is ascending.

    Allowed values are: “timeCreated”, “displayName”

  • display_name (str) – (optional) A filter to return resources that match the given user-friendly name.
  • display_name_contains (str) – (optional) A filter to return resources that may partially match the given display name.
  • retry_strategy (obj) –

    (optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.

    This should be one of the strategies available in the retry module. This operation uses DEFAULT_RETRY_STRATEGY as default if no retry strategy is provided. The specifics of the default retry strategy are described here.

    To have this operation explicitly not perform any retries, pass an instance of NoneRetryStrategy.

  • allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
  • enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
Returns:

A Response object with data of type ManagedInstanceCollection

Return type:

Response

Example:

Click here to see an example of how to use preview_managed_instances API.

reboot_dynamic_set(dynamic_set_id, reboot_dynamic_set_details, **kwargs)

Initiates a reboot of all managed instances within the specified dynamic set.

Parameters:
  • dynamic_set_id (str) –

    (required) The OCID of the dynamic set. This filter returns resources associated with this dynamic set.

  • reboot_dynamic_set_details (oci.os_management_hub.models.RebootDynamicSetDetails) – (required) The timeout to be set for the reboot job. The timeout is the amount of time in minutes that the service waits for the reboot to complete before marking the job as failed.
  • if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
  • opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried in case of a timeout or server error without risk of executing that same action again. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations. For example, if a resource has been deleted and purged from the system, then a retry of the original creation request might be rejected.
  • opc_request_id (str) – (optional) Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
  • retry_strategy (obj) –

    (optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.

    This should be one of the strategies available in the retry module. This operation uses DEFAULT_RETRY_STRATEGY as default if no retry strategy is provided. The specifics of the default retry strategy are described here.

    To have this operation explicitly not perform any retries, pass an instance of NoneRetryStrategy.

  • allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
  • enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
Returns:

A Response object with data of type None

Return type:

Response

Example:

Click here to see an example of how to use reboot_dynamic_set API.

remove_packages_from_dynamic_set(dynamic_set_id, remove_packages_from_dynamic_set_details, **kwargs)

Removes specified software packages from all managed instances in the dynamic set.

Parameters:
  • dynamic_set_id (str) –

    (required) The OCID of the dynamic set. This filter returns resources associated with this dynamic set.

  • remove_packages_from_dynamic_set_details (oci.os_management_hub.models.RemovePackagesFromDynamicSetDetails) – (required) Details about packages to be removed on a dynamic set.
  • if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
  • opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried in case of a timeout or server error without risk of executing that same action again. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations. For example, if a resource has been deleted and purged from the system, then a retry of the original creation request might be rejected.
  • opc_request_id (str) – (optional) Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
  • retry_strategy (obj) –

    (optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.

    This should be one of the strategies available in the retry module. This operation uses DEFAULT_RETRY_STRATEGY as default if no retry strategy is provided. The specifics of the default retry strategy are described here.

    To have this operation explicitly not perform any retries, pass an instance of NoneRetryStrategy.

  • allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
  • enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
Returns:

A Response object with data of type None

Return type:

Response

Example:

Click here to see an example of how to use remove_packages_from_dynamic_set API.

update_dynamic_set(dynamic_set_id, update_dynamic_set_details, **kwargs)

Updates the specified dynamic set.

Parameters:
  • dynamic_set_id (str) –

    (required) The OCID of the dynamic set. This filter returns resources associated with this dynamic set.

  • update_dynamic_set_details (oci.os_management_hub.models.UpdateDynamicSetDetails) – (required) Details to update a dynamic set.
  • if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
  • opc_request_id (str) – (optional) Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
  • retry_strategy (obj) –

    (optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.

    This should be one of the strategies available in the retry module. This operation uses DEFAULT_RETRY_STRATEGY as default if no retry strategy is provided. The specifics of the default retry strategy are described here.

    To have this operation explicitly not perform any retries, pass an instance of NoneRetryStrategy.

  • allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
  • enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
Returns:

A Response object with data of type DynamicSet

Return type:

Response

Example:

Click here to see an example of how to use update_dynamic_set API.

update_packages_on_dynamic_set(dynamic_set_id, update_packages_on_dynamic_set_details, **kwargs)

Updates all installed software packages on managed instances in the dynamic set.

Parameters:
  • dynamic_set_id (str) –

    (required) The OCID of the dynamic set. This filter returns resources associated with this dynamic set.

  • update_packages_on_dynamic_set_details (oci.os_management_hub.models.UpdatePackagesOnDynamicSetDetails) – (required) Details about packages to be updated on a dynamic set.
  • if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
  • opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried in case of a timeout or server error without risk of executing that same action again. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations. For example, if a resource has been deleted and purged from the system, then a retry of the original creation request might be rejected.
  • opc_request_id (str) – (optional) Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
  • retry_strategy (obj) –

    (optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.

    This should be one of the strategies available in the retry module. This operation uses DEFAULT_RETRY_STRATEGY as default if no retry strategy is provided. The specifics of the default retry strategy are described here.

    To have this operation explicitly not perform any retries, pass an instance of NoneRetryStrategy.

  • allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
  • enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
Returns:

A Response object with data of type None

Return type:

Response

Example:

Click here to see an example of how to use update_packages_on_dynamic_set API.